Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types

# StencilRenderStates Class Reference

An abstract cross-platform class for setting stencil buffer render states. More...

List of all members.

## Public Types
enum | StencilComparisonFunction { SCFNever = 0, SCFLessThan = 1, SCFEqual = 2, SCFLessThanOrEqual = 3, SCFGreaterThan = 4, SCFNotEqual = 5, SCFGreaterThanOrEqual = 6, SCFAlways = 7 }
enum | StencilOperation { SOKeep = 0, SOZero = 1, SOReplace = 2, SOIncrement = 3, SODecrement = 4, SOInvert = 5, SOIncrementSaturate = 6, SODecrementSaturate = 7 }
enum | StencilRenderState { SRSFrontEnable = 0, SRSBackEnable = 1, SRSFrontComparisonFunction = 2, SRSFrontStencilFailOperation = 3, SRSFrontStencilPassZFailOperation = 4, SRSFrontStencilPassZPassOperation = 5, SRSReference = 6, SRSReadMask = 7, SRSWriteMask = 8, SRSBackComparisonFunction = 9, SRSBackStencilFailOperation = 10, SRSBackStencilPassZFailOperation = 11, SRSBackStencilPassZPassOperation = 12, SRSClear = 13, SRSClearValue = 14, SRSTotal = 15, SRSFirst = 0 }

## Detailed Description

An abstract cross-platform class for setting stencil buffer render states.

Each gsg needs to create its own low-level API specific functions on how to set each render state. The "set_stencil_render_state" function can be used in an immediate-mode fashion.

## Member Enumeration Documentation

enum StencilComparisonFunction

Enumerator:

  SCFNever |
  SCFLessThan |
  SCFEqual |
  SCFLessThanOrEqual |
  SCFGreaterThan |
  SCFNotEqual |
  SCFGreaterThanOrEqual |
  SCFAlways |

enum StencilOperation

Enumerator:

  SOKeep |
  SOZero |
  SOReplace |
  SOIncrement |
  SODecrement |
  SOInvert |
  SOIncrementSaturate |
  SODecrementSaturate |

enum StencilRenderState

Enumerator:

  SRSFrontEnable |
  SRSBackEnable |
  SRSFrontComparisonFunction |
  SRSFrontStencilFailOperation |
  SRSFrontStencilPassZFailOperation |
  SRSFrontStencilPassZPassOperation |
  SRSReference |
  SRSReadMask |
  SRSWriteMask |
  SRSBackComparisonFunction |
  SRSBackStencilFailOperation |
  SRSBackStencilPassZFailOperation |
  SRSBackStencilPassZPassOperation |
  SRSClear |
  SRSClearValue |
  SRSTotal |
  SRSFirst |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties